Debian Bug report logs - #551017
imagemagick: FTBFS on hurd-i386: wrong PATH_MAX and /proc usage

version graph

Package: imagemagick; Maintainer for imagemagick is ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>; Source for imagemagick is src:imagemagick.

Reported by: Pino Toscano <pino@kde.org>

Date: Wed, 14 Oct 2009 23:03:01 UTC

Severity: important

Tags: patch

Found in version imagemagick/7:6.5.5.3-1

Fixed in version imagemagick/7:6.5.7.7-1

Done: naoliv@debian.org (Nelson A. de Oliveira)

Bug is archived. No further changes may be made.

Forwarded to http://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=14871

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>:
Bug#551017; Package imagemagick. (Wed, 14 Oct 2009 23:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@kde.org>:
New Bug report received and forwarded. Copy sent to ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>. (Wed, 14 Oct 2009 23:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@kde.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: imagemagick: FTBFS on hurd-i386: wrong PATH_MAX and /proc usage
Date: Thu, 15 Oct 2009 00:59:36 +0200
[Message part 1 (text/plain, inline)]
Package: imagemagick
Version: 7:6.5.5.3-1
Severity: important
Tags: patch
User: debian-hurd@lists.debian.org
Usertags: hurd

Hi,

as shown in [1], currently imagemagick does not build on GNU/Hurd.
The reason is in magick/utility.c, in the implementation of GetExecutionPath():
Hurd has both getpid() and readlink(), so the
  #if defined(MAGICKCORE_HAVE_GETPID) && defined(MAGICKCORE_HAVE_READLINK)
  [...]
  #endif
code block is used. Although, this block has two problems for Hurd:
- inconditional usage of PATH_MAX (which is not a problem, as it could be fixed)
- use of /proc/$PID/{exe,file}; Hurd's proc have none of those two, so the code
  there would be unuseful anyway

The solution I chose was to exclude that block for Hurd, and add a new
Hurd-specific block which makes use of the GNU-specific program_invocation_name
extern variable (see /usr/include/errno.h) - and cwd if program_invocation_name
is relative - to get the absolute path of the execution application.

[1] http://buildd.debian-ports.org/fetch.php?&pkg=imagemagick&ver=7:6.5.5.3-1&arch=hurd-i386&stamp=1251687730&file=log&as=raw

Thanks,
-- 
Pino
[01_hurd_fixes.diff (text/x-c, attachment)]

Set Bug forwarded-to-address to 'http://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=14871'. Request was from Nelson A. de Oliveira <naoliv@debian.org> to control@bugs.debian.org. (Wed, 14 Oct 2009 23:33:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Nelson A. de Oliveira <naoliv@debian.org> to control@bugs.debian.org. (Mon, 19 Oct 2009 12:39:18 GMT) Full text and rfc822 format available.

Reply sent to naoliv@debian.org (Nelson A. de Oliveira):
You have taken responsibility. (Sat, 14 Nov 2009 17:51:13 GMT) Full text and rfc822 format available.

Notification sent to Pino Toscano <pino@kde.org>:
Bug acknowledged by developer. (Sat, 14 Nov 2009 17:51:14 GMT) Full text and rfc822 format available.

Message #14 received at 551017-close@bugs.debian.org (full text, mbox):

From: naoliv@debian.org (Nelson A. de Oliveira)
To: 551017-close@bugs.debian.org
Subject: Bug#551017: fixed in imagemagick 7:6.5.7.7-1
Date: Sat, 14 Nov 2009 17:49:27 +0000
Source: imagemagick
Source-Version: 7:6.5.7.7-1

We believe that the bug you reported is fixed in the latest version of
imagemagick, which is due to be installed in the Debian FTP archive:

imagemagick-dbg_6.5.7.7-1_i386.deb
  to main/i/imagemagick/imagemagick-dbg_6.5.7.7-1_i386.deb
imagemagick-doc_6.5.7.7-1_all.deb
  to main/i/imagemagick/imagemagick-doc_6.5.7.7-1_all.deb
imagemagick_6.5.7.7-1.diff.gz
  to main/i/imagemagick/imagemagick_6.5.7.7-1.diff.gz
imagemagick_6.5.7.7-1.dsc
  to main/i/imagemagick/imagemagick_6.5.7.7-1.dsc
imagemagick_6.5.7.7-1_i386.deb
  to main/i/imagemagick/imagemagick_6.5.7.7-1_i386.deb
imagemagick_6.5.7.7.orig.tar.gz
  to main/i/imagemagick/imagemagick_6.5.7.7.orig.tar.gz
libmagick++-dev_6.5.7.7-1_i386.deb
  to main/i/imagemagick/libmagick++-dev_6.5.7.7-1_i386.deb
libmagick++2_6.5.7.7-1_i386.deb
  to main/i/imagemagick/libmagick++2_6.5.7.7-1_i386.deb
libmagickcore-dev_6.5.7.7-1_i386.deb
  to main/i/imagemagick/libmagickcore-dev_6.5.7.7-1_i386.deb
libmagickcore2-extra_6.5.7.7-1_i386.deb
  to main/i/imagemagick/libmagickcore2-extra_6.5.7.7-1_i386.deb
libmagickcore2_6.5.7.7-1_i386.deb
  to main/i/imagemagick/libmagickcore2_6.5.7.7-1_i386.deb
libmagickwand-dev_6.5.7.7-1_i386.deb
  to main/i/imagemagick/libmagickwand-dev_6.5.7.7-1_i386.deb
libmagickwand2_6.5.7.7-1_i386.deb
  to main/i/imagemagick/libmagickwand2_6.5.7.7-1_i386.deb
perlmagick_6.5.7.7-1_i386.deb
  to main/i/imagemagick/perlmagick_6.5.7.7-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 551017@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nelson A. de Oliveira <naoliv@debian.org> (supplier of updated imagemagick package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sat, 14 Nov 2009 15:07:22 -0200
Source: imagemagick
Binary: imagemagick imagemagick-dbg imagemagick-doc libmagickcore2 libmagickcore2-extra libmagickcore-dev libmagickwand2 libmagickwand-dev libmagick++2 libmagick++-dev perlmagick
Architecture: source i386 all
Version: 7:6.5.7.7-1
Distribution: unstable
Urgency: low
Maintainer: ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>
Changed-By: Nelson A. de Oliveira <naoliv@debian.org>
Description: 
 imagemagick - image manipulation programs
 imagemagick-dbg - debugging symbols for ImageMagick
 imagemagick-doc - document files of ImageMagick
 libmagick++-dev - object-oriented C++ interface to ImageMagick - development files
 libmagick++2 - object-oriented C++ interface to ImageMagick
 libmagickcore-dev - low-level image manipulation library - development files
 libmagickcore2 - low-level image manipulation library
 libmagickcore2-extra - low-level image manipulation library - extra codecs
 libmagickwand-dev - image manipulation library - development files
 libmagickwand2 - image manipulation library
 perlmagick - Perl interface to the ImageMagick graphics routines
Closes: 478538 524613 550503 551017
Changes: 
 imagemagick (7:6.5.7.7-1) unstable; urgency=low
 .
   * New upstream release;
     - Fixes "perferred" typos (Closes: #550503). Thanks A. Costa!
     - Patch to fix FTBFS on hurd-i386 has been merged upstream
       (Closes: #551017). Thanks Pino Toscano!
   * Upload to unstable.
 .
 imagemagick (7:6.5.5.3-1exp1) experimental; urgency=low
 .
   * Split SVG, WMF, OpenEXR, DjVu and Graphviz coders into a new
     libmagickcore2-extra package:
     - Removed libmagickcore2 circular Depends on libmagickwand2
       (Closes: #524613);
     - Removed dependency on gtk libs (Closes: #478538).
     A big thank you to Nick Wellnhofer <wellnhofer@aevum.de>!
   * Sorted Build-Depends and Depends in debian/control.
Checksums-Sha1: 
 df1667e69fe1621926e952dd0bce4bd1d51411d5 1861 imagemagick_6.5.7.7-1.dsc
 0c744f992840559d78f7595a813526f70200543f 11094919 imagemagick_6.5.7.7.orig.tar.gz
 da4a83f135e48135e0fbf32ca11c103f167af65e 36704 imagemagick_6.5.7.7-1.diff.gz
 8d7021cad0d0b3f1908760aaab60942b90bc1c23 99482 imagemagick_6.5.7.7-1_i386.deb
 c32e523de1d6d60762c81684676e5a0ba6c3d5c5 3381346 imagemagick-dbg_6.5.7.7-1_i386.deb
 d145e5ce68ed16fbf8e9360f304ba9d58b7a610c 4312136 imagemagick-doc_6.5.7.7-1_all.deb
 4a2efc5ff8056bdf1aea9559343ed1cd560865f1 1654138 libmagickcore2_6.5.7.7-1_i386.deb
 9629f6b109ec4843d7185f24d28b3e4ea74d750d 114202 libmagickcore2-extra_6.5.7.7-1_i386.deb
 7f4f06df6309422aacf52423babc9ad2abb93d48 1056380 libmagickcore-dev_6.5.7.7-1_i386.deb
 14a5020a41b5a5ab97047f3ce3d16c86ca1015dc 358046 libmagickwand2_6.5.7.7-1_i386.deb
 68f02d7afb1b4d6dd7a44dcc43ea9072a4d48ed4 439230 libmagickwand-dev_6.5.7.7-1_i386.deb
 d04126c0734445d1e6a5cb253efc5c86cea07021 208104 libmagick++2_6.5.7.7-1_i386.deb
 3450973206f278fa7f70e3fc1776b6da68d8314c 236866 libmagick++-dev_6.5.7.7-1_i386.deb
 5869a3ab656e92d315f9e415d52b2db9cbeaacf8 211498 perlmagick_6.5.7.7-1_i386.deb
Checksums-Sha256: 
 38f920acf0e1a6361efa89596bccf070b38ef9ce42bcf3bcc286eba7575af9e8 1861 imagemagick_6.5.7.7-1.dsc
 70544d10924346709ce060bdfbb52eb3f38111b5f917fe5a67b47da59d71b93a 11094919 imagemagick_6.5.7.7.orig.tar.gz
 2586635b659f45e71bd031ca83963878d9d97624cb5e1ec9a2f6ee8d12a8bb42 36704 imagemagick_6.5.7.7-1.diff.gz
 747581f824aa17af8e84ad54bb68f0b96e8b847176a69c2e0d770d2fb4f33f6e 99482 imagemagick_6.5.7.7-1_i386.deb
 9cb8dc37b2a8e63dcba0b269125230c439a8283d7d37ca486948181062bd4e79 3381346 imagemagick-dbg_6.5.7.7-1_i386.deb
 3b10af13894366b32c149879a15ad6b8dcbbcec99af15634d3922899aa12b3b3 4312136 imagemagick-doc_6.5.7.7-1_all.deb
 10ee578447a0d02e684b6e9d0c030bf4b2f7228e716e2b28ff7ddea9753b2e6a 1654138 libmagickcore2_6.5.7.7-1_i386.deb
 32774c29851423e25f1d8f38a1d4761994c374fdf9816403d340e247faba5408 114202 libmagickcore2-extra_6.5.7.7-1_i386.deb
 3b10a22b623a0f3da8fbe202ba2ca5a70c9e1064c0a9c9bb10b3e7da5aaf6acb 1056380 libmagickcore-dev_6.5.7.7-1_i386.deb
 ce6ab6a9982ab54cc286d54f490120b55b334fb0dbc5f8269bd541af2efcff57 358046 libmagickwand2_6.5.7.7-1_i386.deb
 fc5540b7ae1c19d019f2f71d799e9fbaa5c80fa40253ca599afd3165946dc021 439230 libmagickwand-dev_6.5.7.7-1_i386.deb
 4b8fb75d282c7d1be2db8ec136127cd48be2760dc87801683ee017faf5fd54b6 208104 libmagick++2_6.5.7.7-1_i386.deb
 488fad81e3d457c686dd190afc4d7ceda208559c8fcf354e4e5eaf6bc49666f1 236866 libmagick++-dev_6.5.7.7-1_i386.deb
 60d88e07c4a58e5354830ddbe67f3b1d22c2f38b452456b44654b0978b43fa6a 211498 perlmagick_6.5.7.7-1_i386.deb
Files: 
 6e2ba822b8dd34a2906e9985c531b79e 1861 graphics optional imagemagick_6.5.7.7-1.dsc
 7e4cdbda3d568e92283fb56a10f8586c 11094919 graphics optional imagemagick_6.5.7.7.orig.tar.gz
 3a2fbcf2b00638d2c6581fcdf1420a99 36704 graphics optional imagemagick_6.5.7.7-1.diff.gz
 d177820e931099a1b79b27689210f2de 99482 graphics optional imagemagick_6.5.7.7-1_i386.deb
 252ca8fc68f126f4527430d197b222bc 3381346 debug extra imagemagick-dbg_6.5.7.7-1_i386.deb
 39525b03a0bd91765849967c33d0e57b 4312136 doc optional imagemagick-doc_6.5.7.7-1_all.deb
 6ce7d933a094919f1ac1a8f8aff5ed35 1654138 libs optional libmagickcore2_6.5.7.7-1_i386.deb
 c0b5c0dc489f8696c00789135641c8f8 114202 libs optional libmagickcore2-extra_6.5.7.7-1_i386.deb
 7eca97b7b72260cac3dbd09a1684d79b 1056380 libdevel optional libmagickcore-dev_6.5.7.7-1_i386.deb
 0523825d41943ffa2fc05610cc033488 358046 libs optional libmagickwand2_6.5.7.7-1_i386.deb
 be9378788a13f669270586513e1072dc 439230 libdevel optional libmagickwand-dev_6.5.7.7-1_i386.deb
 46e51bbc38a0f431f2e5c96a83656e30 208104 libs optional libmagick++2_6.5.7.7-1_i386.deb
 37499f93b6f8ac6f4d1270aa4e2db254 236866 libdevel optional libmagick++-dev_6.5.7.7-1_i386.deb
 084f194c4b3e29a837b9e13777dd9e08 211498 perl optional perlmagick_6.5.7.7-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEAREDAAYFAkr+6HAACgkQAQwuptkwlkT7EwCggX8POqicwvA3godNzr456JTb
k9IAnjVDDK0gB7b5h/DKgBwuR7wHjNCj
=U4ta
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 15 Dec 2009 07:33:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:09:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.